<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBookingSlotLabel" jhiTranslate="mpmApp.bookingSlot.home.createOrEditLabel">Create or edit a Booking Slot</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!bookingSlot.idBookSlot">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="bookingSlot.idBookSlot" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.bookingSlot.slotNumber" for="field_slotNumber">Slot Number</label>
            <input type="text" class="form-control" name="slotNumber" id="field_slotNumber"
                [(ngModel)]="bookingSlot.slotNumber"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingSlot.calendar" for="field_calendar">Calendar</label>
            <select class="form-control" id="field_calendar" name="calendar" [(ngModel)]="bookingSlot.calendarId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="baseCalendarOption.idCalendar" *ngFor="let baseCalendarOption of basecalendars; trackBy: trackBaseCalendarById">{{baseCalendarOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingSlot.standard" for="field_standard">Standard</label>
            <select class="form-control" id="field_standard" name="standard" [(ngModel)]="bookingSlot.standardId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="bookingSlotStandardOption.idBookSlotStd" *ngFor="let bookingSlotStandardOption of bookingslotstandards; trackBy: trackBookingSlotStandardById">{{bookingSlotStandardOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
